Solved thread

This post is marked as solved. If you think the information contained on this thread must be part of the official documentation, please contribute submitting a pull request to its repository.

unable to install phalcon over windows 8 64bit need help

Hi, I was trying to install phalcon on windows 8 running PHP Version 5.4.22 i have followed the steps that were on the phalcon website.I have copied dll file into ext folder and also add extension reference into php.ini and restarted apache xampp server but still it dosent show from some reason.Can any one help please.

Thanx in advance,



7.8k

Could you provide us with some additional information?

E.g. Are you receiving any errors when restarting apache? Are you using the correct phalcon .dll (NTS: Non thread safe or TS: Thread safe)?



5.6k

Hi Scripton,

Thanx for getting back to me.please check i hope you needed this information and i think i downloaded correct one.There are no errors in apache but when i check using phpinfo() i dont see any phalcon extension there.

WINDOWS 8 HOME PREMIUM EDITION I586

PHP CONFIGURATION

[PHP Version 5.4.22] [System:] Windows NT SAQY-PC 6.2 build 9200 (Unknown Windows version Home Premium Edition) i586 [Compiler:] MSVC9 (Visual C++ 2008) [Configure Command:] cscript /nologo configure.js "--enable-snapshot-build" "--disable-isapi" "--enable-debug-pack" "--without-mssql" "--without-pdo-mssql" "--without-pi3web" "--with-pdo-oci=C:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8=C:\php-sdk\oracle\instantclient10\sdk,shared" "--with-oci8-11g=C:\php-sdk\oracle\instantclient11\sdk,shared" "--enable-object-out-dir=../obj/" "--enable-com-dotnet=shared" "--with-mcrypt=static" "--disable-static-analyze" "--with-pgo" [Server API:] Apache 2.0 Handler [Configuration File:] (php.ini) Path C:\Windows [Loaded Configuration File:] C:\xampp\php\php.ini

APACHE CONFIGURATION

[Apache Version:] Apache/2.4.7 (Win32) OpenSSL/0.9.8y PHP/5.4.22 [Apache API Version:] 20120211 [Server Administrator:] [email protected] [Hostname:]Port localhost:80 [Max Requests:] Per Child: 0 - Keep Alive: on - Max Per Connection: 100 [Timeouts Connection:] 300 - Keep-Alive: 5 [Virtual Server:] No [Server Root:] C:/xampp/apache [Loaded Modules:] core mod_win32 mpm_winnt http_core mod_so mod_access_compat mod_actions mod_alias mod_allowmethods mod_asis mod_auth_basic mod_authn_core mod_authn_file mod_authz_core mod_authz_groupfile mod_authz_host mod_authz_user mod_autoindex mod_cgi mod_dav_lock mod_dir mod_env mod_headers mod_include mod_info mod_isapi mod_log_config mod_cache_disk mod_mime mod_negotiation mod_proxy mod_proxy_ajp mod_rewrite mod_setenvif mod_socache_shmcb mod_ssl mod_status mod_version mod_php5



5.6k
Accepted
answer

Hi,

I have done it myself in removed xampp and installed latest wamp on my windows 8

phpinfo

PHP Version 5.5.12 Compiler MSVC11 (Visual C++ 2012) Architecture x64

and tried couple of libraries this library worked for me Phalcon 1.3.1 - Windows x64 for PHP 5.5.0 (VC11) below you can find the link to download.

http://static.phalconphp.com/files/phalcon_x64_VC11_php5.5.0_1.3.1.zip

hope it will help others in future enjoy the great framework and keep up the good work.

Yeah this worked for me too. The issue is that phalcon 1.3.2 is NTS but WAMP is TS. Only the older version is TS. Older version which is TS is Phalcon 1.3.1 - Windows x64 for PHP 5.5.0 (VC11) (March 26 2014 18:59:48 EDT / sha1: 48f41f6d3b8de3b5d3643a826dea696c49bdcd52) which could be downloaded easy from http://phalconphp.com/en/download/windows .